## lighttpd 1.4.46~snap-20170813-015739

=== CMakeLists.txt ===
project(lighttpd C)

cmake_minimum_required(VERSION 2.8.2 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/scripts/cmake)

include(CTest)

enable_testing()

set(CPACK_PACKAGE_VERSION_MAJOR 1)
set(CPACK_PACKAGE_VERSION_MINOR 4)
set(CPACK_PACKAGE_VERSION_PATCH 46)
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README")
set(CPACK_PACKAGE_VENDOR "jan@kneschke.de")

set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES "/\\\\.;~$;/_;build/;CMakeFiles/;CMakeCache;gz$;Makefile\\\\.;trace;Testing/;foo;autom4te;cmake_install;CPack;\\\\.pem;ltmain.sh;configure;libtool;/config\\\\.;missing;autogen.sh;install-sh;Dart;aclocal;log$;Makefile$")

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

add_subdirectory(src build)
#add_subdirectory(doc)
add_subdirectory(tests)

=== SConstruct ===
import os
import sys
import re
import string
from stat import *

package = 'lighttpd'
version = '1.4.46'

def checkCHeaders(autoconf, hdrs):
	p = re.compile('[^A-Z0-9]')
	for hdr in hdrs:
		if not hdr:
			continue
		_hdr = Split(hdr)
		if autoconf.CheckCHeader(_hdr):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', _hdr[-1].upper()) ])

def checkFunc(autoconf, func, header):
	p = re.compile('[^A-Z0-9]')
	if autoconf.CheckFunc(func, header):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', func.upper()) ])

def checkFuncs(autoconf, funcs):
	p = re.compile('[^A-Z0-9]')
	for func in funcs:
		if autoconf.CheckFunc(func):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', func.upper()) ])

def checkTypes(autoconf, types):
	p = re.compile('[^A-Z0-9]')
	for type in types:
		if autoconf.CheckType(type, '#include <sys/types.h>'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', type.upper()) ])

def checkGmtOffInStructTm(context):
	source = """
#include <time.h>
int main() {
	struct tm a;
	a.tm_gmtoff = 0;
	return 0;
}
"""
	context.Message('Checking for tm_gmtoff in struct tm...')
	result = context.TryLink(source, '.c')
	context.Result(result)

	return result

def checkIPv6(context):
	source = """
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

int main() {
	struct sockaddr_in6 s; struct in6_addr t=in6addr_any; int i=AF_INET6; s; t.s6_addr[0] = 0;
	return 0;
}
"""
	context.Message('Checking for IPv6 support...')
	result = context.TryLink(source, '.c')
	context.Result(result)

	return result

def checkWeakSymbols(context):
	source = """
__attribute__((weak)) void __dummy(void *x) { }
int main() {
	void *x;
	__dummy(x);
}
"""
	context.Message('Checking for weak symbol support...')
	result = context.TryLink(source, '.c')
	context.Result(result)

	return result

def checkProgram(env, withname, progname):
	withname = 'with_' + withname
	binpath = None

	if env[withname] != 1:
		binpath = env[withname]
	else:
		prog = env.Detect(progname)
		if prog:
			binpath = env.WhereIs(prog)

	if binpath:
		mode = os.stat(binpath)[ST_MODE]
		if S_ISDIR(mode):
			print >> sys.stderr, "* error: path `%s' is a directory" % (binpath)
			env.Exit(-1)
		if not S_ISREG(mode):
			print >> sys.stderr, "* error: path `%s' is not a file or not exists" % (binpath)
			env.Exit(-1)

	if not binpath:
		print >> sys.stderr, "* error: can't find program `%s'" % (progname)
		env.Exit(-1)

	return binpath

VariantDir('sconsbuild/build', 'src', duplicate = 0)
VariantDir('sconsbuild/tests', 'tests', duplicate = 0)

vars = Variables() #('config.py')
vars.AddVariables(
	('prefix', 'prefix', '/usr/local'),
	('bindir', 'binary directory', '${prefix}/bin'),
	('sbindir', 'binary directory', '${prefix}/sbin'),
	('libdir', 'library directory', '${prefix}/lib'),
	PackageVariable('with_mysql', 'enable mysql support', 'no'),
	PackageVariable('with_pgsql', 'enable pgsql support', 'no'),
	PackageVariable('with_dbi', 'enable dbi support', 'no'),
	PackageVariable('with_xml', 'enable xml support', 'no'),
	PackageVariable('with_pcre', 'enable pcre support', 'yes'),
	PathVariable('CC', 'path to the c-compiler', None),
	BoolVariable('build_dynamic', 'enable dynamic build', 'yes'),
	BoolVariable('build_static', 'enable static build', 'no'),
	BoolVariable('build_fullstatic', 'enable fullstatic build', 'no'),
	BoolVariable('with_sqlite3', 'enable sqlite3 support', 'no'),
	BoolVariable('with_memcached', 'enable memcached support', 'no'),
	BoolVariable('with_gdbm', 'enable gdbm support', 'no'),
	BoolVariable('with_fam', 'enable FAM/gamin support', 'no'),
	BoolVariable('with_openssl', 'enable openssl support', 'no'),
	BoolVariable('with_gzip', 'enable gzip compression', 'no'),
	BoolVariable('with_bzip2', 'enable bzip2 compression', 'no'),
	BoolVariable('with_lua', 'enable lua support for mod_cml', 'no'),
	BoolVariable('with_ldap', 'enable ldap auth support', 'no'),
	BoolVariable('with_krb5', 'enable krb5 auth support', 'no'),
	BoolVariable('with_geoip', 'enable GeoIP support', 'no')
)

env = Environment(
	ENV = os.environ,
	variables = vars,
	CPPPATH = Split('#sconsbuild/build')
)

env.Help(vars.GenerateHelpText(env))

if env.subst('${CC}') is not '':
	env['CC'] = env.subst('${CC}')

env['package'] = package
env['version'] = version
if env['CC'] == 'gcc':
	## we need x-open 6 and bsd 4.3 features
	env.Append(CCFLAGS = Split('-Wall -O2 -g -W -pedantic -Wunused -Wshadow -std=gnu99'))

# cache configure checks
if 1:
	autoconf = Configure(env, custom_tests = {
		'CheckGmtOffInStructTm': checkGmtOffInStructTm,
		'CheckIPv6': checkIPv6,
		'CheckWeakSymbols': checkWeakSymbols,
	})

	if 'CFLAGS' in os.environ:
		autoconf.env.Append(CCFLAGS = os.environ['CFLAGS'])
		print(">> Appending custom build flags : " + os.environ['CFLAGS'])

	if 'LDFLAGS' in os.environ:
		autoconf.env.Append(LINKFLAGS = os.environ['LDFLAGS'])
		print(">> Appending custom link flags : " + os.environ['LDFLAGS'])

	if 'LIBS' in os.environ:
		autoconf.env.Append(APPEND_LIBS = os.environ['LIBS'])
		print(">> Appending custom libraries : " + os.environ['LIBS'])
	else:
		autoconf.env.Append(APPEND_LIBS = '')

	autoconf.headerfile = "foo.h"
	checkCHeaders(autoconf, string.split("""
			arpa/inet.h
			crypt.h
			fcntl.h
			getopt.h
			inttypes.h
			linux/random.h
			netinet/in.h
			poll.h
			pwd.h
			stdint.h
			stdlib.h
			string.h
			strings.h
			sys/devpoll.h
			sys/epoll.h
			sys/event.h
			sys/filio.h
			sys/mman.h
			sys/poll.h
			sys/port.h
			sys/prctl.h
			sys/resource.h
			sys/select.h
			sys/sendfile.h
			sys/socket.h
			sys/time.h
			sys/time.h sys/types.h sys/resource.h
			sys/types.h netinet/in.h
			sys/types.h sys/event.h
			sys/types.h sys/mman.h
			sys/types.h sys/select.h
			sys/types.h sys/socket.h
			sys/types.h sys/uio.h
			sys/types.h sys/un.h
			sys/uio.h
			sys/un.h
			sys/wait.h
			syslog.h
			unistd.h
			winsock2.h""", "\n"))

	checkFuncs(autoconf, Split('fork stat lstat strftime dup2 getcwd inet_ntoa inet_ntop memset mmap munmap strchr \
			strdup strerror strstr strtol sendfile getopt socket \
			gethostbyname poll epoll_ctl getrlimit chroot \
			getuid select signal pathconf madvise prctl\
			writev sigaction sendfile64 send_file kqueue port_create localtime_r posix_fadvise issetugid inet_pton \
			memset_s explicit_bzero clock_gettime pipe2 \
			arc4random_buf jrand48 srandom getloadavg'))
	checkFunc(autoconf, 'getentropy', 'sys/random.h')
	checkFunc(autoconf, 'getrandom', 'linux/random.h')

	checkTypes(autoconf, Split('pid_t size_t off_t'))

	autoconf.env.Append( LIBSQLITE3 = '', LIBXML2 = '', LIBMYSQL = '', LIBZ = '',
		LIBPGSQL = '', LIBDBI = '',
		LIBBZ2 = '', LIBCRYPT = '', LIBMEMCACHED = '', LIBFCGI = '', LIBPCRE = '',
		LIBLDAP = '', LIBLBER = '', LIBLUA = '', LIBDL = '', LIBUUID = '',
		LIBKRB5 = '', LIBGSSAPI_KRB5 = '', LIBGDBM = '', LIBSSL = '', LIBCRYPTO = '')

	if env['with_fam']:
		if autoconf.CheckLibWithHeader('fam', 'fam.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_FAM_H', '-DHAVE_LIBFAM' ], LIBS = 'fam')
			checkFuncs(autoconf, ['FAMNoExists']);

	if autoconf.CheckLib('crypt'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_LIBCRYPT' ], LIBCRYPT = 'crypt')
		oldlib = env['LIBS']
		env['LIBS'] += ['crypt']
		checkFuncs(autoconf, ['crypt', 'crypt_r']);
		env['LIBS'] = oldlib
	else:
		checkFuncs(autoconf, ['crypt', 'crypt_r']);

	if autoconf.CheckLibWithHeader('rt', 'time.h', 'c', 'clock_gettime(CLOCK_MONOTONIC, (struct timespec*)0);'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_CLOCK_GETTIME' ], LIBS = [ 'rt' ])

	if autoconf.CheckLibWithHeader('uuid', 'uuid/uuid.h', 'C'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_UUID_UUID_H', '-DHAVE_LIBUUID' ], LIBUUID = 'uuid')

	if env['with_openssl']:
		if autoconf.CheckLibWithHeader('ssl', 'openssl/ssl.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_OPENSSL_SSL_H', '-DHAVE_LIBSSL'] , LIBSSL = 'ssl', LIBCRYPTO = 'crypto', LIBS = [ 'crypto' ])

	if env['with_gzip']:
		if autoconf.CheckLibWithHeader('z', 'zlib.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_ZLIB_H', '-DHAVE_LIBZ' ], LIBZ = 'z')

	if env['with_krb5']:
		if autoconf.CheckLibWithHeader('krb5', 'krb5.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_KRB5' ], LIBKRB5 = 'krb5')
		if autoconf.CheckLibWithHeader('gssapi_krb5', 'gssapi/gssapi_krb5.h', 'C'):
			autoconf.env.Append(LIBGSSAPI_KRB5 = 'gssapi_krb5')

	if env['with_ldap']:
		if autoconf.CheckLibWithHeader('ldap', 'ldap.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_LDAP_H', '-DHAVE_LIBLDAP' ], LIBLDAP = 'ldap')
		if autoconf.CheckLibWithHeader('lber', 'lber.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_LBER_H', '-DHAVE_LIBLBER' ], LIBLBER = 'lber')

	if env['with_bzip2']:
		if autoconf.CheckLibWithHeader('bz2', 'bzlib.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_BZLIB_H', '-DHAVE_LIBBZ2' ], LIBBZ2 = 'bz2')

	if env['with_memcached']:
		if autoconf.CheckLibWithHeader('memcached', 'libmemcached/memcached.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DUSE_MEMCACHED' ], LIBMEMCACHED = 'memcached')

	if env['with_gdbm']:
		if autoconf.CheckLibWithHeader('gdbm', 'gdbm.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_GDBM_H', '-DHAVE_GDBM' ], LIBGDBM = 'gdbm')

	if env['with_sqlite3']:
		if autoconf.CheckLibWithHeader('sqlite3', 'sqlite3.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_SQLITE3_H', '-DHAVE_LIBSQLITE3' ], LIBSQLITE3 = 'sqlite3')

	if env['with_geoip']:
		if autoconf.CheckLibWithHeader('GeoIP', 'GeoIP.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_GEOIP' ], LIBGEOIP = 'GeoIP')

	ol = env['LIBS']
	if autoconf.CheckLibWithHeader('fcgi', 'fastcgi.h', 'C'):
		autoconf.env.Append(LIBFCGI = 'fcgi')
	env['LIBS'] = ol

	ol = env['LIBS']
	if autoconf.CheckLibWithHeader('dl', 'dlfcn.h', 'C'):
		autoconf.env.Append(LIBDL = 'dl')
	env['LIBS'] = ol

	if autoconf.CheckType('socklen_t', '#include <unistd.h>\n#include <sys/socket.h>\n#include <sys/types.h>'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_SOCKLEN_T' ])

	if autoconf.CheckType('struct sockaddr_storage', '#include <sys/socket.h>\n'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_STRUCT_SOCKADDR_STORAGE' ])

	if autoconf.CheckGmtOffInStructTm():
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_STRUCT_TM_GMTOFF' ])

	if autoconf.CheckIPv6():
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_IPV6' ])

	if autoconf.CheckWeakSymbols():
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_WEAK_SYMBOLS' ])

	env = autoconf.Finish()

def TryLua(env, name):
	result = False
	oldlibs = env['LIBS']
	try:
		print("Searching for lua: " + name + " >= 5.0")
		env.ParseConfig("pkg-config '" + name + " >= 5.0' --cflags --libs")
		env.Append(LIBLUA = env['LIBS'][len(oldlibs):])
		env.Append(CPPFLAGS = [ '-DHAVE_LUA_H' ])
		result = True
	except:
		pass
	env['LIBS'] = oldlibs
	return result

if env['with_lua']:
	found_lua = False
	for lua_name in ['lua5.3', 'lua-5.3', 'lua5.2', 'lua-5.2', 'lua5.1', 'lua-5.1', 'lua']:
		if TryLua(env, lua_name):
			found_lua = True
			break
	if not found_lua:
		raise RuntimeError("Couldn't find any lua implementation")

if env['with_pcre']:
	pcre_config = checkProgram(env, 'pcre', 'pcre-config')
	env.ParseConfig(pcre_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_PCRE_H', '-DHAVE_LIBPCRE' ], LIBPCRE = 'pcre')

if env['with_xml']:
	xml2_config = checkProgram(env, 'xml', 'xml2-config')
	oldlib = env['LIBS']
	env['LIBS'] = []
	env.ParseConfig(xml2_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_LIBXML_H', '-DHAVE_LIBXML2' ], LIBXML2 = env['LIBS'])
	env['LIBS'] = oldlib

if env['with_mysql']:
	mysql_config = checkProgram(env, 'mysql', 'mysql_config')
	oldlib = env['LIBS']
	env['LIBS'] = []
	env.ParseConfig(mysql_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_MYSQL_H', '-DHAVE_LIBMYSQL' ], LIBMYSQL = 'mysqlclient')
	env['LIBS'] = oldlib

if env['with_pgsql']:
	pg_config = checkProgram(env, 'pgsql', 'pg_config')
	oldlib = env['LIBS']
	env['LIBS'] = []

=== src/CMakeLists.txt ===
include(CheckCSourceCompiles)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckVariableExists)
include(CheckTypeSize)
include(CheckLibraryExists)
include(CMakeDetermineCCompiler)
include(FindThreads)
include(FindPkgConfig)

include(LighttpdMacros)

add_definitions(-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES)

option(WITH_XATTR "with xattr-support for the stat-cache [default: off]")
option(WITH_MYSQL "with mysql-support for mod_vhostdb_mysql [default: off]")
option(WITH_PGSQL "with postgres-support for mod_vhostdb_pgsql [default: off]")
option(WITH_DBI "with dbi-support for mod_vhostdb_dbi [default: off]")
option(WITH_OPENSSL "with openssl-support [default: off]")
option(WITH_PCRE "with regex support [default: on]" ON)
option(WITH_WEBDAV_PROPS "with property-support for mod_webdav [default: off]")
option(WITH_WEBDAV_LOCKS "locks in webdav [default: off]")
option(WITH_BZIP "with bzip2-support for mod_compress [default: off]")
option(WITH_ZLIB "with deflate-support for mod_compress [default: on]" ON)
option(WITH_KRB5 "with Kerberos5-support for mod_auth [default: off]")
option(WITH_LDAP "with LDAP-support for mod_auth mod_vhostdb_ldap [default: off]")
option(WITH_LUA "with lua 5.1 for mod_magnet [default: off]")
# option(WITH_VALGRIND "with internal support for valgrind [default: off]")
option(WITH_FAM "fam/gamin for reducing number of stat() calls [default: off]")
option(WITH_GDBM "gdbm storage for mod_trigger_b4_dl [default: off]")
option(WITH_MEMCACHED "memcached storage for mod_trigger_b4_dl [default: off]")
option(WITH_LIBEV "libev support for fdevent handlers [default: off]")
option(WITH_LIBUNWIND "with libunwind to print backtraces in asserts [default: off]")
option(WITH_GEOIP "with GeoIP-support mod_geoip [default: off]")

if(CMAKE_C_COMPILER_ID MATCHES "GNU" OR CMAKE_C_COMPILER_ID MATCHES "Clang")
	option(BUILD_EXTRA_WARNINGS "extra warnings")

	if(BUILD_EXTRA_WARNINGS)
		set(WARN_CFLAGS "-g -g2 -Wall -Wmissing-declarations -Wdeclaration-after-statement -Wcast-align -Wsign-compare -Wnested-externs -Wpointer-arith -D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security")
		set(WARN_LDFLAGS "-Wl,--as-needed")
		# -Werror -Wbad-function-cast -Wmissing-prototypes
	endif()
endif()

option(BUILD_STATIC "build a static lighttpd with all modules added")

if(BUILD_STATIC)
	set(LIGHTTPD_STATIC 1)
elseif(APPLE)
	set(CMAKE_SHARED_MODULE_PREFIX "")
else()
	set(CMAKE_SHARED_LIBRARY_PREFIX "")
endif()

if(WITH_LIBEV)
	find_package(LibEV REQUIRED)
	set(HAVE_LIBEV 1)
endif()

if(WITH_LIBUNWIND)
	pkg_check_modules(LIBUNWIND REQUIRED libunwind)
	set(HAVE_LIBUNWIND 1)
endif()

if(WITH_WEBDAV_PROPS)
	set(WITH_XML 1)
	set(WITH_SQLITE3 1)
	set(WITH_UUID 1)
endif()

check_include_files(sys/devpoll.h HAVE_SYS_DEVPOLL_H)
check_include_files(sys/epoll.h HAVE_SYS_EPOLL_H)
check_include_files(sys/event.h HAVE_SYS_EVENT_H)
check_include_files(sys/mman.h HAVE_SYS_MMAN_H)
check_include_files(sys/poll.h HAVE_SYS_POLL_H)
check_include_files(sys/port.h HAVE_SYS_PORT_H)
check_include_files(sys/prctl.h HAVE_SYS_PRCTL_H)
check_include_files(sys/resource.h HAVE_SYS_RESOURCE_H)
check_include_files(sys/sendfile.h HAVE_SYS_SENDFILE_H)
check_include_files(sys/select.h HAVE_SYS_SELECT_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(sys/uio.h HAVE_SYS_UIO_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
check_include_files(sys/time.h HAVE_SYS_TIME_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
check_include_files(getopt.h HAVE_GETOPT_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(poll.h HAVE_POLL_H)
check_include_files(pwd.h HAVE_PWD_H)
check_include_files(stddef.h HAVE_STDDEF_H)
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(strings.h HAVE_STRINGS_H)
check_include_files(syslog.h HAVE_SYSLOG_H)

# check for fastcgi lib, for the tests only
check_include_files(fastcgi.h HAVE_FASTCGI_H)
check_include_files(fastcgi/fastcgi.h HAVE_FASTCGI_FASTCGI_H)

# will be needed for auth
check_include_files(crypt.h HAVE_CRYPT_H)
# check if we need libcrypt for crypt_r()
check_library_exists(crypt crypt_r "" HAVE_LIBCRYPT_CRYPT_R)
if(HAVE_LIBCRYPT_CRYPT_R)
	set(HAVE_CRYPT_R 1)
	set(HAVE_LIBCRYPT 1)
else()
	check_library_exists(crypt crypt "" HAVE_LIBCRYPT)
endif()
check_function_exists(crypt_r HAVE_CRYPT_R)
check_function_exists(crypt HAVE_CRYPT)

check_include_files(sys/inotify.h HAVE_SYS_INOTIFY_H)
if(HAVE_SYS_INOTIFY_H)
	check_function_exists(inotify_init HAVE_INOTIFY_INIT)
endif()

set(CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)
check_type_size(socklen_t HAVE_SOCKLEN_T)
set(CMAKE_EXTRA_INCLUDE_FILES)

check_include_files(sys/random.h HAVE_SYS_RANDOM_H)
set(CMAKE_EXTRA_INCLUDE_FILES sys/random.h)
check_function_exists(getentropy HAVE_GETENTROPY)
set(CMAKE_EXTRA_INCLUDE_FILES)

check_include_files(linux/random.h HAVE_LINUX_RANDOM_H)
set(CMAKE_EXTRA_INCLUDE_FILES linux/random.h)
check_function_exists(getrandom HAVE_GETRANDOM)
set(CMAKE_EXTRA_INCLUDE_FILES)

check_type_size(long SIZEOF_LONG)
check_type_size(off_t SIZEOF_OFF_T)

check_function_exists(arc4random_buf HAVE_ARC4RANDOM_BUF)
check_function_exists(chroot HAVE_CHROOT)
check_function_exists(epoll_ctl HAVE_EPOLL_CTL)
check_function_exists(fork HAVE_FORK)
check_function_exists(getloadavg HAVE_GETLOADAVG)
check_function_exists(getrlimit HAVE_GETRLIMIT)
check_function_exists(getuid HAVE_GETUID)
check_function_exists(gmtime_r HAVE_GMTIME_R)
check_function_exists(inet_ntop HAVE_INET_NTOP)
check_function_exists(jrand48 HAVE_JRAND48)
check_function_exists(kqueue HAVE_KQUEUE)
check_function_exists(localtime_r HAVE_LOCALTIME_R)
check_function_exists(lstat HAVE_LSTAT)
check_function_exists(madvise HAVE_MADVISE)
check_function_exists(memcpy HAVE_MEMCPY)
check_function_exists(memset HAVE_MEMSET)
check_function_exists(mmap HAVE_MMAP)
check_function_exists(pathconf HAVE_PATHCONF)
check_function_exists(pipe2 HAVE_PIPE2)
check_function_exists(poll HAVE_POLL)
check_function_exists(port_create HAVE_PORT_CREATE)
check_function_exists(prctl HAVE_PRCTL)
check_function_exists(pread HAVE_PREAD)
check_function_exists(posix_fadvise HAVE_POSIX_FADVISE)
check_function_exists(select HAVE_SELECT)
check_function_exists(sendfile HAVE_SENDFILE)
check_function_exists(send_file HAVE_SEND_FILE)
check_function_exists(sendfile64 HAVE_SENDFILE64)
check_function_exists(sendfilev HAVE_SENDFILEV)
check_function_exists(sigaction HAVE_SIGACTION)
check_function_exists(signal HAVE_SIGNAL)
check_function_exists(sigtimedwait HAVE_SIGTIMEDWAIT)
check_function_exists(srandom HAVE_SRANDOM)
check_function_exists(strptime HAVE_STRPTIME)
check_function_exists(syslog HAVE_SYSLOG)
check_function_exists(writev HAVE_WRITEV)
check_function_exists(inet_aton HAVE_INET_ATON)
check_function_exists(issetugid HAVE_ISSETUGID)
check_function_exists(inet_pton HAVE_INET_PTON)
check_function_exists(memset_s HAVE_MEMSET_S)
check_function_exists(explicit_bzero HAVE_EXPLICIT_BZERO)
check_symbol_exists(clock_gettime "time.h" HAVE_CLOCK_GETTIME)
if (NOT HAVE_CLOCK_GETTIME)
	check_library_exists(rt clock_gettime "time.h" HAVE_CLOCK_GETTIME)
endif()
check_c_source_compiles("
	#include <sys/types.h>
	#include <sys/socket.h>
	#include <netinet/in.h>

	int main() {
		struct sockaddr_in6 s; struct in6_addr t=in6addr_any; int i=AF_INET6; s; t.s6_addr[0] = 0;
		return 0;
	}" HAVE_IPV6)
check_c_source_compiles("
	__attribute__((weak)) void __dummy(void *x) { }
	int main() {
		void *x;
		__dummy(x);
	}
	" HAVE_WEAK_SYMBOLS)
check_c_source_compiles("
	#include <time.h>
	int main(void) {
		struct tm t;
		t.tm_gmtoff = 0;
		return 0;
	}
	" HAVE_STRUCT_TM_GMTOFF)

## refactor me
macro(XCONFIG _package _include_DIR _link_DIR _link_FLAGS _cflags)
# reset the variables at the beginning
	set(${_include_DIR})
	set(${_link_DIR})
	set(${_link_FLAGS})
	set(${_cflags})

	find_program(${_package}CONFIG_EXECUTABLE NAMES ${_package} PATHS /usr/local/bin )

	# if pkg-config has been found
	if(${_package}CONFIG_EXECUTABLE)
		set(XCONFIG_EXECUTABLE "${${_package}CONFIG_EXECUTABLE}")
		message(STATUS "found ${_package}: ${XCONFIG_EXECUTABLE}")

		exec_program(${XCONFIG_EXECUTABLE} ARGS --libs OUTPUT_VARIABLE __link_FLAGS)
		string(REPLACE "\n" "" ${_link_FLAGS} ${__link_FLAGS})
		exec_program(${XCONFIG_EXECUTABLE} ARGS --cflags OUTPUT_VARIABLE __cflags)
		string(REPLACE "\n" "" ${_cflags} ${__cflags})
	else()
		message(STATUS "found ${_package}: no")
	endif()
endmacro(XCONFIG _package _include_DIR _link_DIR _link_FLAGS _cflags)

if(WITH_XATTR)
	check_include_files(attr/attributes.h HAVE_ATTR_ATTRIBUTES_H)
	if(HAVE_ATTR_ATTRIBUTES_H)
		check_library_exists(attr attr_get "" HAVE_XATTR)
	endif()
else()
	unset(HAVE_ATTR_ATTRIBUTES_H)
	unset(HAVE_XATTR)
endif()

if(WITH_MYSQL)
	xconfig(mysql_config MYSQL_INCDIR MYSQL_LIBDIR MYSQL_LDFLAGS MYSQL_CFLAGS)

	set(CMAKE_REQUIRED_INCLUDES /usr/include/mysql)
	check_include_files(mysql.h HAVE_MYSQL_H)
	set(CMAKE_REQUIRED_INCLUDES)
	if(HAVE_MYSQL_H)
		check_library_exists(mysqlclient mysql_real_connect "" HAVE_MYSQL)
	endif()
else()
	unset(HAVE_MYSQL_H)
	unset(HAVE_MYSQL)
endif()

if(WITH_PGSQL)
	xconfig(pg_config PGSQL_INCDIR PGSQL_LIBDIR PGSQL_LDFLAGS PGSQL_CFLAGS)

	check_include_files(libpq-fe.h HAVE_PGSQL_H)
	if(HAVE_PGSQL_H)
		check_library_exists(pq PQsetdbLogin "" HAVE_PGSQL)
	endif()
else()
	unset(HAVE_PGSQL_H)
	unset(HAVE_PGSQL)
endif()

if(WITH_DBI)
	check_include_files(dbi/dbi.h HAVE_DBI_H)
	if(HAVE_DBI_H)
		check_library_exists(dbi dbi_conn_connect "" HAVE_DBI)
	endif()
else()
	unset(HAVE_DBI_H)
	unset(HAVE_DBI)
endif()

if(WITH_OPENSSL)
	if(APPLE)
		set(CMAKE_REQUIRED_INCLUDES /opt/local/include)
	endif()
	check_include_files(openssl/ssl.h HAVE_OPENSSL_SSL_H)
	if(APPLE)
		set(CMAKE_REQUIRED_INCLUDES)
	endif()
	if(HAVE_OPENSSL_SSL_H)
		check_library_exists(crypto BIO_f_base64 "" HAVE_LIBCRYPTO)
		if(HAVE_LIBCRYPTO)
			check_library_exists(ssl SSL_new "" HAVE_LIBSSL)
		endif()
	endif()
else()
	unset(HAVE_OPENSSL_SSL_H)
	unset(HAVE_LIBCRYPTO)
	unset(HAVE_LIBSSL)
endif()

if(WITH_PCRE)
	## if we have pcre-config, use it
	xconfig(pcre-config PCRE_INCDIR PCRE_LIBDIR PCRE_LDFLAGS PCRE_CFLAGS)
	if(PCRE_LDFLAGS OR PCRE_CFLAGS)
		message(STATUS "found pcre at: LDFLAGS: ${PCRE_LDFLAGS} CFLAGS: ${PCRE_CFLAGS}")

		if(NOT PCRE_CFLAGS STREQUAL "\n")
			## if it is empty we'll get newline returned
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${PCRE_CFLAGS}")
		endif()

		set(HAVE_PCRE_H 1)
		set(HAVE_LIBPCRE 1)
	else()
		if(NOT WIN32)
			check_include_files(pcre.h HAVE_PCRE_H)
			check_library_exists(pcre pcre_exec "" HAVE_LIBPCRE)
			set(PCRE_LDFLAGS -lpcre)
		else()
			find_path(PCRE_INCLUDE_DIR pcre.h
			/usr/local/include
			/usr/include
			)

			set(PCRE_NAMES pcre)
			find_library(PCRE_LIBRARY
			NAMES ${PCRE_NAMES}
			PATHS /usr/lib /usr/local/lib
			)

			if(PCRE_INCLUDE_DIR AND PCRE_LIBRARY)
				set(CMAKE_REQUIRED_INCLUDES ${PCRE_INCLUDE_DIR})
				set(CMAKE_REQUIRED_LIBRARIES ${PCRE_LIBRARY})
				check_include_files(pcre.h HAVE_PCRE_H)
				check_library_exists(pcre pcre_exec "" HAVE_LIBPCRE)
				set(CMAKE_REQUIRED_INCLUDES)
				set(CMAKE_REQUIRED_LIBRARIES)
				include_directories(${PCRE_INCLUDE_DIR})
			endif()
		endif()
	endif()

	if(NOT HAVE_PCRE_H)
		message(FATAL_ERROR "pcre.h couldn't be found")
	endif()
	if(NOT HAVE_LIBPCRE)
		message(FATAL_ERROR "libpcre couldn't be found")
	endif()
else()
	unset(HAVE_PCRE_H)
	unset(HAVE_LIBPCRE)
endif()


if(WITH_XML)
	xconfig(xml2-config XML2_INCDIR XML2_LIBDIR XML2_LDFLAGS XML2_CFLAGS)
	if(XML2_LDFLAGS OR XML2_CFLAGS)
		message(STATUS "found xml2 at: LDFLAGS: ${XML2_LDFLAGS} CFLAGS: ${XML2_CFLAGS}")

		## if it is empty we'll get newline returned
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${XML2_CFLAGS}")

		check_include_files(libxml/tree.h HAVE_LIBXML_H)

		set(CMAKE_REQUIRED_FLAGS ${XML2_LDFLAGS})

## lighttpd 1.4.46~snap-20170813-015739-gdadfb5

=== debian/changelog ===
lighttpd (1.4.46~snap-20170813-015739-gdadfb5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot gdadfb5
    + [core] attempt to quiet coverity false positives

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 13 Aug 2017 01:58:20 +0000

lighttpd (1.4.46~snap-20170812-195717-g9bc61f-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g9bc61f
    + [core] attempt to quiet coverity false positives

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 12 Aug 2017 19:57:58 +0000

lighttpd (1.4.46~snap-20170812-171822-g748fc8-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g748fc8
    + [core] get port from sock_addr if AF_INET,AF_INET6
    + [core] server.error_handler_404 X-Sendfile ENOENT (#2474)
    + [core] consolidate fork()/execve() code (#1393)
    + [core] mv log_error_{open,cycle.close} to server.c
    + [core] rename fd_close_on_exec()
    + [core] remove unused includes of stat_cache.h
    + [core] add missing include of stdlib.h
    + [core] reduce exposure of unistd.h, other includes
    + [core] sock_addr_from_str_hints reusable name res
    + [core] continue collecting use of netdb.h
    + [core] continue collecting use of netdb.h
    + [core] continue collecting use of netdb.h
    + [core] fdevent_connect_status() shared code
    + [core] add const to reduce .data segment size
    + [mod_proxy] move data_fastcgi into mod_proxy.c
    + [mod_proxy] store address family at config time
    + [mod_fastcgi] slightly simplify counters
    + [mod_fastcgi] consolidate connect() error handling
    + [mod_fastcgi] set request_id in fcgi_create_env()
    + [mod_fastcgi] move delayed connect() into switch()
    + [mod_fastcgi,mod_scgi] consistent connect() error
    + [mod_scgi] remove unused parse_response member
    + [mod_fastcgi,mod_scgi] struct member consistency
    + [mod_fastcgi,mod_scgi] parse bin_path at startup
    + [mod_fastcgi,mod_scgi] use temp buffer for cgi_env
    + [core] shared code for socket backends
    + [core] spread load on socket backend procs
    + [core] store sockaddr for socket backend procs
    + [core] resolve DNS at startup for socket backends
    + [core] adaptive spawning for socket backend procs (fixes #1162)
    + quell compiler warnings for -Wimplicit-fallthrough
    + [doc] update README
    + [core] fdevent_cycle_logger()
    + [core] reap lighttpd worker pids precisely
    + [core] restart piped loggers if they exit (fixes #1393)
    + [mod_webdav] PROPFIND getetag attr must match GET
    + [core] consistent behavior w/ and w/o SA_SIGINFO
    + [core] do not remove pid-file in test mode
    + [core] add public domain SHA1() if no crypto
    + [mod_wstunnel] websocket tunnel to other protocol
    + [core] forward SIGHUP only to lighttpd workers
    + [mod_dirlisting] treat README and HEADER as paths (fixes #2818)
    + [core] set one-shot mode fd O_NONBLOCK, FD_CLOEXEC
    + [core] remove fdevent fcntl_set hook
    + [mod_extforward] typo in comment
    + [mod_cgi] add missing #include
    + [core] fix invalid sizeof() identified by coverity
    + [core] add missing #include
    + [core] base_decls.h to quiet compiler warnings
    + [core] set socket perms after bind, before listen
    + [core] warn if backend server config contains '_'
    + [mod_extforward] PROXY proto and SSL_CLIENT_VERIFY
    + [core] workaround for AIX mmap define
    + [mod_accesslog] flush access logs every 4 seconds
    + [mod_cgi] fix bug to properly exec interpreter
    + [mod_fastcgi] fix return when streaming min buffer

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 12 Aug 2017 17:19:07 +0000

lighttpd (1.4.46~snap-20170613-130731-gd15ddc-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove watch file and upstream gpg key 

 -- Stefan Bühler <stbuehler@web.de>  Sat, 29 Jul 2017 13:55:11 +0200

lighttpd (1.4.46~snap-20170613-130731-gd15ddc-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot gd15ddc
    + [core] allow earlier plugin init for SSL/TLS
    + [mod_openssl] adjust use of ssl.ca-dn-file
    + [core] fix compiler warnings on Mac OS X
    + [core] server.socket-perms to set perms on unix (fixes #656)

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 15 Jun 2017 07:58:13 +0000

lighttpd (1.4.46~snap-20170521-045244-gfb87ae-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * package mod_openssl, mod_vhostdb, mod_vhostdb_ldap, mod_vhostdb_mysql

 -- Stefan Bühler <stbuehler@web.de>  Thu, 08 Jun 2017 16:28:55 +0200

lighttpd (1.4.46~snap-20170521-045244-gfb87ae-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * add libmariadbclient-dev-compat as alternative due to broken mysql in
    stretch

 -- Stefan Bühler <stbuehler@web.de>  Sun, 21 May 2017 15:24:14 +0200

lighttpd (1.4.46~snap-20170521-045244-gfb87ae-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot gfb87ae
    + [mod_extforward] quiet clang compiler warning
    + [mod_dirlisting] sort "../" to top of names
    + [mod_openssl] safer_X509_NAME_oneline() (fixes #2693)

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 21 May 2017 04:53:26 +0000

lighttpd (1.4.46~snap-20170517-045635-g21081c-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g21081c
    + [mod_openssl] ignore client verification error if not enforced
    + [mod_openssl] fix compile with openssl 1.1.0

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 17 May 2017 04:57:20 +0000

lighttpd (1.4.46~snap-20170516-040605-g69aeaf-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g69aeaf
    + [mod_proxy] fix typo identified by coverity

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 16 May 2017 04:06:44 +0000

lighttpd (1.4.46~snap-20170516-033645-g039960-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g039960
    + [core] permit strings,ints,arrays in config array


=== debian/control ===
Source: lighttpd
Section: httpd
Priority: optional
Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
 Olaf van der Spek <olafvdspek@gmail.com>,
 Arno Töll <arno@debian.org>,
 Michael Gilbert <mgilbert@debian.org>
Homepage: http://lighttpd.net/
Build-Depends:
 dpkg-dev (>= 1.16.1~),
 debhelper (>= 9.20130624~),
 dh-systemd (>= 1.3),
 dh-autoreconf,
 mime-support,
 libssl-dev,
 zlib1g-dev,
 libbz2-dev,
 libattr1-dev,
 libpcre3-dev,
 default-libmysqlclient-dev | libmariadbclient-dev-compat | libmysqlclient-dev,
 libfam-dev,
 libldap2-dev,
 libfcgi-dev,
 libgdbm-dev,
 libgeoip-dev,
 liblua5.1-0-dev,
 libmemcached-dev,
 pkg-config,
 uuid-dev,
 libsqlite3-dev,
 libxml2-dev,
 libkrb5-dev,
 perl,
 libcgi-pm-perl,
Vcs-Git: git://anonscm.debian.org/pkg-lighttpd/lighttpd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lighttpd/lighttpd.git
Standards-Version: 3.9.8

Package: lighttpd
Architecture: any
Provides:
 httpd,
 httpd-cgi
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mime-support,
 lsb-base (>= 3.0-6),
Recommends:
 spawn-fcgi,
Suggests:
 openssl,
 rrdtool,
 php5-cgi,
 apache2-utils,
 lighttpd-doc,
Description: fast webserver with minimal memory footprint
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 It has support for
   * CGI, FastCGI and SSI
   * virtual hosts
   * URL rewriting
   * authentication (plain files, htpasswd, LDAP)
   * transparent content compression
   * conditional configuration
   * HTTP proxying
 and configuration is straight-forward and easy.

Package: lighttpd-doc
Multi-Arch: foreign
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 lighttpd,
Description: documentation for lighttpd
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 .
 This package contains documentation for lighttpd.

Package: lighttpd-mod-mysql-vhost
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: MySQL-based virtual host configuration for lighttpd
 This package contains the myqsl_vhost module for lighttpd. With
 this module, it is possible to write the configuration for virtual
 hosts into a MySQL table instead of including it in the lighttpd
 configuration file.

Package: lighttpd-mod-vhostdb-ldap
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: LDAP-based virtual host configuration for lighttpd
 This package contains the vhostdb_ldap module for lighttpd. With
 this module, it is possible to write the configuration for virtual
 hosts into an LDAP database instead of including it in the lighttpd
 configuration file.

Package: lighttpd-mod-vhostdb-mysql
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: MySQL-based virtual host configuration for lighttpd
 This package contains the vhostdb_mysql module for lighttpd. With
 this module, it is possible to write the configuration for virtual
 hosts into a MySQL table instead of including it in the lighttpd
 configuration file.

Package: lighttpd-mod-trigger-b4-dl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Recommends:
 memcached,
Description: anti-deep-linking module for lighttpd
 The trigger-b4-dl module for lighttpd can prevent deep linking
 from other sites by requiring users to visit a trigger URL to
 be able to download certain files.

Package: lighttpd-mod-cml
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Recommends:
 memcached,
Description: cache meta language module for lighttpd
 With the cache meta language, it is possible to describe to the
 dependencies of a cached file to its source files/scripts. For the
 cache files, the scripting language LUA is used.
 .
 THIS MODULE IS OBSOLETED AND WILL BE REMOVED IN LIGHTTPD 2.0.
 USE mod_magnet INSTEAD.

Package: lighttpd-mod-magnet
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: control the request handling module for lighttpd
 mod_magnet can attract a request in several stages in the request-handling.
 either at the same level as mod_rewrite, before any parsing of the URL is done
 or at a later stage, when the doc-root is known and the physical-path is
 already setup

Package: lighttpd-mod-webdav
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: WebDAV module for lighttpd
 The WebDAV module is a very minimalistic implementation of RFC 2518.
 Minimalistic means that not all operations are implemented yet.
 .
 Currently supports:
  GET
  POST
  HEAD
  PROPFIND
  OPTIONS
  MKCOL
  DELETE
  PUT

Package: lighttpd-mod-authn-gssapi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: GGSAPI authentication for lighttpd
 This package contains the authn_gssapi module for lighttpd. With
 this module, it is possible to perform GSSAPI authentication.

Package: lighttpd-mod-authn-ldap
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: LDAP authentication for lighttpd
 This package contains the authn_ldap module for lighttpd. With
 this module, it is possible to perform authentication against an LDAP
 server.

Package: lighttpd-mod-authn-mysql
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: MySQL authentication for lighttpd
 This package contains the authn_mysql module for lighttpd. With
 this module, it is possible to perform authentication using a MySQL
 table.

Package: lighttpd-mod-geoip
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: GeoIP restrictions for lighttpd
 This package contains the geoip module for lighttpd. With
 this module, it is possible to distinguish users based on the location
 using a GeoIP database.

## lighttpd 1.4.49

=== debian/changelog ===
lighttpd (1.4.49-1.1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Nov 2018 15:30:27 +0100

lighttpd (1.4.49-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install mod_openssl.so and other missing modules. (Closes: #894276)

 -- Ximin Luo <infinity0@debian.org>  Sat, 31 Mar 2018 13:43:49 +0200

lighttpd (1.4.49-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * Suggest php-cgi since php5-cgi has been removed from the archive
    (closes: #859927).

  [ Clint Adams ]
  * New upstream version.
  * Update control file, including setting Maintainer to Debian QA Group.

 -- Clint Adams <clint@debian.org>  Wed, 21 Mar 2018 17:21:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,21 @@
 Source: lighttpd
 Section: httpd
 Priority: optional
-Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
-Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
- Olaf van der Spek <olafvdspek@gmail.com>,
- Arno Töll <arno@debian.org>,
- Michael Gilbert <mgilbert@debian.org>
-Homepage: http://lighttpd.net/
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Homepage: https://www.lighttpd.net/
 Build-Depends:
  dpkg-dev (>= 1.16.1~),
  debhelper (>= 9.20130624~),
  dh-systemd (>= 1.3),
  dh-autoreconf,
  mime-support,
- libssl-dev,
+ libssl-dev|libssl1.0-dev,
  zlib1g-dev,
  libbz2-dev,
  libattr1-dev,
  libpcre3-dev,
- default-libmysqlclient-dev | libmariadbclient-dev-compat | libmysqlclient-dev,
- libfam-dev,
+ libgamin-dev,
+ default-libmysqlclient-dev,
  libldap2-dev,
  libfcgi-dev,
  libgdbm-dev,
@@ -33,9 +29,9 @@
  libkrb5-dev,
  perl,
  libcgi-pm-perl,
-Vcs-Git: git://anonscm.debian.org/pkg-lighttpd/lighttpd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lighttpd/lighttpd.git
-Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/debian/lighttpd.git
+Vcs-Browser: https://salsa.debian.org/debian/lighttpd
+Standards-Version: 4.1.3
 
 Package: lighttpd
 Architecture: any
@@ -52,9 +48,10 @@
 Suggests:
  openssl,
  rrdtool,
- php5-cgi,
+ php-cgi,
  apache2-utils,
  lighttpd-doc,
+ ufw
 Description: fast webserver with minimal memory footprint
  lighttpd is a small webserver and fast webserver developed with
  security in mind and a lot of features.
@@ -94,30 +91,6 @@
  hosts into a MySQL table instead of including it in the lighttpd
  configuration file.
 
-Package: lighttpd-mod-vhostdb-ldap
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- lighttpd (= ${binary:Version}),
-Description: LDAP-based virtual host configuration for lighttpd
- This package contains the vhostdb_ldap module for lighttpd. With
- this module, it is possible to write the configuration for virtual
- hosts into an LDAP database instead of including it in the lighttpd
- configuration file.
-
-Package: lighttpd-mod-vhostdb-mysql
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- lighttpd (= ${binary:Version}),
-Description: MySQL-based virtual host configuration for lighttpd
- This package contains the vhostdb_mysql module for lighttpd. With
- this module, it is possible to write the configuration for virtual
- hosts into a MySQL table instead of including it in the lighttpd
- configuration file.
-
 Package: lighttpd-mod-trigger-b4-dl
 Architecture: any
 Depends:
@@ -142,7 +115,7 @@
 Description: cache meta language module for lighttpd
  With the cache meta language, it is possible to describe to the
  dependencies of a cached file to its source files/scripts. For the
- cache files, the scripting language LUA is used.
+ cache files, the scripting language Lua is used.
  .
  THIS MODULE IS OBSOLETED AND WILL BE REMOVED IN LIGHTTPD 2.0.
  USE mod_magnet INSTEAD.
@@ -179,6 +152,13 @@
   DELETE
   PUT
 
+Package: lighttpd-dev
+Architecture: any
+Suggests: lighttpd
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Development files for lighttpd
+ This package contains the development header-files for lighttpd.
+
 Package: lighttpd-mod-authn-gssapi
 Architecture: any
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

# enable verbose mode
export DH_VERBOSE=1

# enable all hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf,systemd

override_dh_auto_configure:
	dh_auto_configure -- \
                --disable-dependency-tracking \
                --libdir=/usr/lib/lighttpd \
                --libexecdir="/usr/lib/lighttpd" \
                --with-attr \
                --with-fam \
                --with-gdbm \
                --with-krb5 \
                --with-ldap \
                --with-geoip \
                --with-memcached \
                --with-lua=lua5.1 \
                --with-mysql \
                --with-openssl \
                --with-pcre \
                --with-webdav-locks \
                --with-webdav-props \
                CFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get CFLAGS)" \
                LDFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get LDFLAGS)" \
                CPPFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get CPPFLAGS)" \

override_dh_install:
	dh_install
	install -m644 debian/lighttpd.ufw.profile debian/lighttpd/etc/ufw/applications.d/lighttpd
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	test -d debian/lighttpd && \
	    chmod 0750 debian/lighttpd/var/log/lighttpd && \
	    chown www-data:www-data \
	        debian/lighttpd/var/cache/lighttpd/compress \
	        debian/lighttpd/var/cache/lighttpd/uploads \
	        debian/lighttpd/var/log/lighttpd || true

override_dh_installinit:
	dh_installinit --error-handler=true -- defaults 91 09
